Bug 1255342 - [DOCS] Document implementation of the oc new-app search/list functionality [NEEDINFO]
[DOCS] Document implementation of the oc new-app search/list functionality
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.4.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Traci Morrison
Wenjing Zheng
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 06:39 EDT by Vikram Goyal
Modified: 2017-12-12 10:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tmorriso: needinfo? (vigoyal)


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-08-20 06:39:48 EDT
Based on Devs Trello card: https://trello.com/c/ai12yhYS/480-5-oc-new-app-needs-search-list-functionality

However, I am not sure if the upstream code has been merged into master, as per this https://github.com/openshift/origin/issues/2672 or the issue has been closed? 

If nothing needs doing for this, just close it as NOTABUG.
Comment 2 Alex Dellapenta 2015-08-20 12:03:09 EDT
It was mentioned here in the OSE 3.0.1 rel notes:

https://docs.openshift.com/enterprise/3.0/whats_new/ose_3_0_release_notes.html#ose-3-0-1-0

=====

You can now search for images, templates, and other inputs for the oc new-app command using the --search and --list flags. For example, to find all of the images or templates that include PHP:

$ oc new-app --search php

=====

However, we should also get it into the Dev Guide proper here:

https://docs.openshift.com/enterprise/3.0/dev_guide/new_app.html
Comment 3 Vikram Goyal 2017-10-22 22:42:00 EDT
@Traci - it would be good to get this information in 3.4 docs onwards. This bug was originally reported for 3.0.
Comment 4 Traci Morrison 2017-10-30 16:06:39 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/6035
Comment 5 XiuJuan Wang 2017-11-13 22:25:31 EST
Could follow doc to search images, templates.

Note You need to log in before you can comment on or make changes to this bug.